<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:clickable="true"
    android:focusable="true"
    android:background="#FFFFFFFF">

    <android.support.constraint.ConstraintLayout
        android:id="@+id/editTextView_stampCustom"
        android:layout_width="match_parent"
        android:layout_height="64dp"
        android:orientation="vertical"
        android:background="#14000000"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" >

        <EditText
            android:id="@+id/et_input"
            style="@style/Base.TextAppearance.Widget.AppCompat.Toolbar.Subtitle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginStart="16dp"
            android:layout_marginRight="16dp"
            android:layout_marginEnd="16dp"
            android:gravity="start"
            android:textColor="#f5a623"
            android:textSize="16sp"
            android:hint="Enter Text"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent" />
    </android.support.constraint.ConstraintLayout>

    <CheckBox
        android:id="@+id/cb_date"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:layout_marginTop="8dp"
        android:layout_marginBottom="20dp"
        android:gravity="center_vertical"
        android:textSize="14sp"
        android:text="2018/12/31"
        app:layout_constraintBottom_toTopOf="@+id/recyclerView_shapeCustom"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/cb_time"
        app:layout_constraintTop_toBottomOf="@+id/editTextView_stampCustom" />

    <CheckBox
        android:id="@+id/cb_time"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:layout_marginBottom="12dp"
        android:gravity="center_vertical"
        android:textSize="14sp"
        android:text="10:59:00 am"
        app:layout_constraintBottom_toTopOf="@+id/recyclerView_shapeCustom"
        app:layout_constraintLeft_toRightOf="@+id/cb_date"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/editTextView_stampCustom" />

    <android.support.v7.widget.RecyclerView
        android:id="@+id/recyclerView_shapeCustom"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cb_date" />

</android.support.constraint.ConstraintLayout>